Debian Bug report logs - #623148
pu: package webkit/1.2.7-0+squeeze2

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Gustavo Noronha Silva <gustavo@noronha.eti.br>

Date: Sun, 17 Apr 2011 19:03:01 UTC

Severity: normal

Tags: confirmed, squeeze

Fixed in version 6.0.5

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#623148; Package release.debian.org. (Sun, 17 Apr 2011 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gustavo Noronha Silva <gustavo@noronha.eti.br>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 17 Apr 2011 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <gustavo@noronha.eti.br>
To: submit@bugs.debian.org
Subject: pu: package webkit/1.2.7-0+squeeze2
Date: Sun, 17 Apr 2011 15:19:13 -0300
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Hey,

I'm planning to upload the attached change to stable. It's a very simple
change with a rather big benefit to webkit users (fixes #578019). Let me
know if it's OK to go forward.

Cheers,

-- 
Gustavo Noronha Silva <kov@debian.org>
Debian Project

[change.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#623148; Package release.debian.org. (Tue, 19 Apr 2011 20:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 19 Apr 2011 20:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 623148@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Gustavo Noronha Silva <gustavo@noronha.eti.br>, 623148@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Tue, 19 Apr 2011 21:33:14 +0100
Hi,

On Sun, 2011-04-17 at 15:19 -0300, Gustavo Noronha Silva wrote:
> I'm planning to upload the attached change to stable. It's a very simple
> change with a rather big benefit to webkit users (fixes #578019). Let me
> know if it's OK to go forward.

From the bug log, it looks like this still needs resolving in unstable
as well?  If so then we'd really prefer that the issue be resolved there
first and we can then look at a stable update if no related issues
appear.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#623148; Package release.debian.org. (Mon, 25 Apr 2011 13:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gustavo Noronha Silva <gustavo@noronha.eti.br>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 25 Apr 2011 13:00:04 GMT) Full text and rfc822 format available.

Message #15 received at 623148@bugs.debian.org (full text, mbox):

From: Gustavo Noronha Silva <gustavo@noronha.eti.br>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 623148@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Mon, 25 Apr 2011 09:56:50 -0300
Hey,

On Tue, 2011-04-19 at 21:33 +0100, Adam D. Barratt wrote:
> On Sun, 2011-04-17 at 15:19 -0300, Gustavo Noronha Silva wrote:
> > I'm planning to upload the attached change to stable. It's a very simple
> > change with a rather big benefit to webkit users (fixes #578019). Let me
> > know if it's OK to go forward.
> 
> From the bug log, it looks like this still needs resolving in unstable
> as well?  If so then we'd really prefer that the issue be resolved there
> first and we can then look at a stable update if no related issues
> appear.

Indeed. I was hoping to upload 1.3.x to unstable, where this code is now
totally different, but since we're going to wait on that for a bit for
transitions, I'll upload the fix to unstable first.

Cheers,

-- 
Gustavo Noronha Silva <gustavo@noronha.eti.br>





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#623148; Package release.debian.org. (Tue, 14 Jun 2011 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 14 Jun 2011 18:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 623148@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Gustavo Noronha Silva <gustavo@noronha.eti.br>, 623148@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Tue, 14 Jun 2011 19:32:47 +0100
tag 623148 + confirmed
thanks

On Mon, 2011-04-25 at 09:56 -0300, Gustavo Noronha Silva wrote:
> On Tue, 2011-04-19 at 21:33 +0100, Adam D. Barratt wrote:
> > On Sun, 2011-04-17 at 15:19 -0300, Gustavo Noronha Silva wrote:
> > > I'm planning to upload the attached change to stable. It's a very simple
> > > change with a rather big benefit to webkit users (fixes #578019). Let me
> > > know if it's OK to go forward.
> > 
> > From the bug log, it looks like this still needs resolving in unstable
> > as well?  If so then we'd really prefer that the issue be resolved there
> > first and we can then look at a stable update if no related issues
> > appear.
> 
> Indeed. I was hoping to upload 1.3.x to unstable, where this code is now
> totally different, but since we're going to wait on that for a bit for
> transitions, I'll upload the fix to unstable first.

That was a while ago now, and the fix has made it to testing.  Please
feel free to go ahead with the upload to stable.

Regards,

Adam





Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Tue, 14 Jun 2011 18:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#623148; Package release.debian.org. (Tue, 23 Aug 2011 08:45:03 GMT) Full text and rfc822 format available.

Message #25 received at 623148@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Gustavo Noronha Silva <gustavo@noronha.eti.br>
Cc: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 623148@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Tue, 23 Aug 2011 10:42:59 +0200
[Message part 1 (text/plain, inline)]
On Tue, Jun 14, 2011 at 07:32:47PM +0100, Adam D. Barratt wrote:
> On Mon, 2011-04-25 at 09:56 -0300, Gustavo Noronha Silva wrote:
> > On Tue, 2011-04-19 at 21:33 +0100, Adam D. Barratt wrote:
> > > On Sun, 2011-04-17 at 15:19 -0300, Gustavo Noronha Silva wrote:
> > > > I'm planning to upload the attached change to stable. It's a very simple
> > > > change with a rather big benefit to webkit users (fixes #578019). Let me
> > > > know if it's OK to go forward.
> > > From the bug log, it looks like this still needs resolving in unstable
> > > as well?  If so then we'd really prefer that the issue be resolved there
> > > first and we can then look at a stable update if no related issues
> > > appear.
> > Indeed. I was hoping to upload 1.3.x to unstable, where this code is now
> > totally different, but since we're going to wait on that for a bit for
> > transitions, I'll upload the fix to unstable first.
> That was a while ago now, and the fix has made it to testing.  Please
> feel free to go ahead with the upload to stable.

Ping.

Kind regards
Philipp Kern 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) squeeze. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sun, 18 Sep 2011 21:51:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#623148; Package release.debian.org. (Wed, 23 Nov 2011 22:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 23 Nov 2011 22:36:05 GMT) Full text and rfc822 format available.

Message #32 received at 623148@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Philipp Kern <pkern@debian.org>, 623148@bugs.debian.org
Cc: Gustavo Noronha Silva <gustavo@noronha.eti.br>, "Adam D. Barratt" <adam@adam-barratt.org.uk>, 578019@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Wed, 23 Nov 2011 23:30:17 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Tue, Aug 23, 2011 at 10:42:59AM +0200, Philipp Kern wrote:
> On Tue, Jun 14, 2011 at 07:32:47PM +0100, Adam D. Barratt wrote:
> > On Mon, 2011-04-25 at 09:56 -0300, Gustavo Noronha Silva wrote:
> > > On Tue, 2011-04-19 at 21:33 +0100, Adam D. Barratt wrote:
> > > > On Sun, 2011-04-17 at 15:19 -0300, Gustavo Noronha Silva wrote:
> > > > > I'm planning to upload the attached change to stable. It's a very simple
> > > > > change with a rather big benefit to webkit users (fixes #578019). Let me
> > > > > know if it's OK to go forward.
> > > > From the bug log, it looks like this still needs resolving in unstable
> > > > as well?  If so then we'd really prefer that the issue be resolved there
> > > > first and we can then look at a stable update if no related issues
> > > > appear.
> > > Indeed. I was hoping to upload 1.3.x to unstable, where this code is now
> > > totally different, but since we're going to wait on that for a bit for
> > > transitions, I'll upload the fix to unstable first.
> > That was a while ago now, and the fix has made it to testing.  Please
> > feel free to go ahead with the upload to stable.
> 
> Ping.

Please note that sid users actually didn't have a chance to check the fix since
it was not uploaded despite what says the changelog (see debdiff
1.2.7-2..1.2.7-3 attached).
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578019#105

I've build webkit again with this patch, and again the patch is ok.
http://people.debian.org/~spaillard/webkit-spu-fix-null-dns-578019/

To test it, just wireshark with "(dns.flags.response == 0) && (dns.qry.type ==
0x0001)" and move the mouse -> no more useless DNS queries.

debdiff attached (same as kov's one, but ready for nmu)

-- 
Simon Paillard
[webkit_1.2.7-2..1.2.7-3.debdiff (text/plain, attachment)]
[webkit_1.2.7-0+squeeze1.1-spu-fix-null-dns-578019.debdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#623148; Package release.debian.org. (Sun, 15 Jan 2012 17:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 15 Jan 2012 17:30:06 GMT) Full text and rfc822 format available.

Message #37 received at 623148@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Simon Paillard <spaillard@debian.org>, 623148@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>, Gustavo Noronha Silva <gustavo@noronha.eti.br>, 578019@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Sun, 15 Jan 2012 17:26:30 +0000
On Wed, 2011-11-23 at 23:30 +0100, Simon Paillard wrote:
> On Tue, Aug 23, 2011 at 10:42:59AM +0200, Philipp Kern wrote:
> > On Tue, Jun 14, 2011 at 07:32:47PM +0100, Adam D. Barratt wrote:
> > > That was a while ago now, and the fix has made it to testing.  Please
> > > feel free to go ahead with the upload to stable.
> > 
> > Ping.
> 
> Please note that sid users actually didn't have a chance to check the fix since
> it was not uploaded despite what says the changelog (see debdiff
> 1.2.7-2..1.2.7-3 attached).
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578019#105

As Simon notes, the fix in fact appears never to have made it to
unstable.  In the meantime, the upload has hit p-u-NEW; unfortunately it
will stay there until the issue is actually fixed in unstable at least.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#623148; Package release.debian.org. (Sun, 15 Jan 2012 19:36:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 15 Jan 2012 19:36:09 GMT) Full text and rfc822 format available.

Message #42 received at 623148@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>, 623148@bugs.debian.org
Cc: 578019@bugs.debian.org
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Sun, 15 Jan 2012 20:32:33 +0100
On Sun, Jan 15, 2012 at 05:26:30PM +0000, Adam D. Barratt wrote:
> On Wed, 2011-11-23 at 23:30 +0100, Simon Paillard wrote:
> > On Tue, Aug 23, 2011 at 10:42:59AM +0200, Philipp Kern wrote:
> > > On Tue, Jun 14, 2011 at 07:32:47PM +0100, Adam D. Barratt wrote:
> > > > That was a while ago now, and the fix has made it to testing.  Please
> > > > feel free to go ahead with the upload to stable.
> > > 
> > > Ping.
> > 
> > Please note that sid users actually didn't have a chance to check the fix since
> > it was not uploaded despite what says the changelog (see debdiff
> > 1.2.7-2..1.2.7-3 attached).
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578019#105
> 
> As Simon notes, the fix in fact appears never to have made it to
> unstable.  In the meantime, the upload has hit p-u-NEW; unfortunately it
> will stay there until the issue is actually fixed in unstable at least.

Sorry for not making this explicit, but it's no longer possible to test this
patch in sid, since DNS resolution changed in webkit.
http://trac.webkit.org/changeset/56128

In sid, I can confirm webkit 1.6.1-5 with libsoup 2.36.1-1 are not affected by this bug.

Fix trivial and build is ok in squeeze.

-- 
Simon Paillard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#623148; Package release.debian.org. (Sun, 15 Jan 2012 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 15 Jan 2012 20:39:05 GMT) Full text and rfc822 format available.

Message #47 received at 623148@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Simon Paillard <spaillard@debian.org>
Cc: 623148@bugs.debian.org, 578019@bugs.debian.org, Gustavo Noronha Silva <gustavo@noronha.eti.br>
Subject: Re: Bug#623148: pu: package webkit/1.2.7-0+squeeze2
Date: Sun, 15 Jan 2012 20:34:02 +0000
tag 623148 + pending
thanks

On Sun, 2012-01-15 at 20:32 +0100, Simon Paillard wrote:
> On Sun, Jan 15, 2012 at 05:26:30PM +0000, Adam D. Barratt wrote:
> > On Wed, 2011-11-23 at 23:30 +0100, Simon Paillard wrote:
> > > Please note that sid users actually didn't have a chance to check the fix since
> > > it was not uploaded despite what says the changelog (see debdiff
> > > 1.2.7-2..1.2.7-3 attached).
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=578019#105
> > 
> > As Simon notes, the fix in fact appears never to have made it to
> > unstable.  In the meantime, the upload has hit p-u-NEW; unfortunately it
> > will stay there until the issue is actually fixed in unstable at least.
> 
> Sorry for not making this explicit, but it's no longer possible to test this
> patch in sid, since DNS resolution changed in webkit.
> http://trac.webkit.org/changeset/56128

Ah, yeah, that wasn't obvious from your earlier mail. :-)  I did check
earlier, but was misled by 1.2.7-3 still being in sid (due to o-o-d hurd
binaries).

> In sid, I can confirm webkit 1.6.1-5 with libsoup 2.36.1-1 are not affected by this bug.
> 
> Fix trivial and build is ok in squeeze.

In that case, I've flagged the package for acceptance; thanks.

Regards,

Adam





Added tag(s) pending. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 05 May 2012 17:45:13 GMT) Full text and rfc822 format available.

Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Sat, 12 May 2012 12:36:24 GMT) Full text and rfc822 format available.

Notification sent to Gustavo Noronha Silva <gustavo@noronha.eti.br>:
Bug acknowledged by developer. (Sat, 12 May 2012 12:36:24 GMT) Full text and rfc822 format available.

Message #54 received at 623148-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: <623148-done@bugs.debian.org>, <657722-done@bugs.debian.org>, <658424-done@bugs.debian.org>, <660693-done@bugs.debian.org>, <661473-done@bugs.debian.org>, <661652-done@bugs.debian.org>, <663104-done@bugs.debian.org>, <664567-done@bugs.debian.org>, <666001-done@bugs.debian.org>, <666222-done@bugs.debian.org>, <666687-done@bugs.debian.org>, <668456-done@bugs.debian.org>, <670730-done@bugs.debian.org>, <671449-done@bugs.debian.org>
Subject: Closing requests for packages included in 6.0.5
Date: Sat, 12 May 2012 13:32:55 +0100
Version: 6.0.5

Hi,

All of the packages referenced by the closed bugs were included in the 
6.0.5 point release which occured today.

Regards,

Adam




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Jun 2012 07:46:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:19:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.